org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class MapKeysTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapKeysTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.MapKeysTest.Traversals

- Enclosing class:
    MapKeysTest

  Deprecated.
  As of release 3.1.0-incubating

      @Deprecated
      public static class MapKeysTest.Traversals
      extends MapKeysTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MapKeysTest

      `MapKeysTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Double>` | `get_g_V_outE_valuesXweightX_groupCount_mapKeys()` Deprecated.
    `Traversal<Vertex,Double>` | `get_g_V_outE_valuesXweightX_groupCount_unfold_mapKeys()` Deprecated.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.MapKeysTest

      `g_V_outE_valuesXweightX_groupCount_mapKeys, g_V_outE_valuesXweightX_groupCount_unfold_mapKeys`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

      Deprecated.

  - ### Method Detail

    - #### get_g_V_outE_valuesXweightX_groupCount_mapKeys

          public Traversal<Vertex,Double> get_g_V_outE_valuesXweightX_groupCount_mapKeys()

      Deprecated.
      Specified by:
        `get_g_V_outE_valuesXweightX_groupCount_mapKeys` in class `MapKeysTest`

    - #### get_g_V_outE_valuesXweightX_groupCount_unfold_mapKeys

          public Traversal<Vertex,Double> get_g_V_outE_valuesXweightX_groupCount_unfold_mapKeys()

      Deprecated.
      Specified by:
        `get_g_V_outE_valuesXweightX_groupCount_unfold_mapKeys` in class `MapKeysTest`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.